# Pepperminty Wiki Module API

# modulesfeature-recent-changes.php

Package
  \Default

## Tags

None found

## Functions

### add_recent_change()

    add_recent_change(array  $rchange)

Adds a new recent change to the recent changes file.

#### Parameters

array | $rchange | The new change to add.

#

File
  modules/feature-recent-changes.php

## Tags

package | feature-recent-changes feature-recent-changes

### render_recent_changes()

    render_recent_changes(array  $recent_changes) : string

Renders a list of recent changes to HTML.

#### Parameters

array | $recent_changes | The recent changes to render.

#### Returns

string —

The given recent changes as HTML.

#

File
  modules/feature-recent-changes.php

## Tags

package | feature-recent-changes feature-recent-changes

### find_revisionid_timestamp()

    find_revisionid_timestamp(string  $pagename,   $timestamp) : integer

Given a page name and timestamp, returns the associated page revision number.

#### Parameters

string | $pagename | The page name to obtain the revision number for.
| $timestamp |

#### Returns

integer —

The revision number of the given page at the given time.

#

File
  modules/feature-recent-changes.php

## Tags

package | Default

### render_recent_change()

    render_recent_change(object  $rchange) : string

Renders a single recent change

#### Parameters

object | $rchange | The recent change to render.

#### Returns

string —

The recent change, rendered to HTML.

#

File
  modules/feature-recent-changes.php

## Tags

package | feature-recent-changes feature-recent-changes

### render_recent_change_atom()

    render_recent_change_atom(array  $recent_changes) : string

Renders a list of recent changes as an Atom 1.0 feed.

Requires the XMLWriter PHP class.

#### Parameters

array | $recent_changes | The array of recent changes to render.

#### Returns

string —

The recent changes as an Atom 1.0 feed.

#

File
  modules/feature-recent-changes.php

## Tags

package | Default

###